baseURL = "https://tangiblebytes.co.uk/"
languageCode = "en-gb"
title = "Tangible Bytes"
theme = "hugo-theme-bootstrap4-blog"
AuthorName = "Sean Burlington"
Copyright = "&copy; Sean Burlington"
pygmentsUseClasses=true
enableRobotsTXT = true

[services]
  [services.twitter]
    disableInlineCSS = false
[privacy]
[privacy.Twitter]
    disable = false
    enableDNT = true
    simple = true
   
[privacy.youtube]
    disable = false
    privacyEnhanced = true
[params]
    description = "A Web Developer's Blog"
    sharingicons = true
    repo = "https://gitlab.com/tangiblebytes/internal/website/"
 

[params.sidebar]
    # Optional about block for sidebar (can be Markdown)
    #about = "A simple Hugo theme based on the [Bootstrap v4 blog example](http://v4-alpha.getbootstrap.com/examples/blog/)."

    # How many posts to show on the sidebar (Default: 5)
    num_recent_posts = 5

[params.social]
    # Optional, used for attribution in Twitter cards (ideally not a person
    # for example: nytimes, flickr, NatGeo, etc).
    # See: https://dev.twitter.com/cards/types/summary-large-image
    twitter = "tangiblebytes"


[permalinks]
    post = ":year/:filename"

[taxonomies]
    tag = "tags"


[menu]
    [[menu.navbar]]
    identifier = "about"
    name       = "About"
    url        = "/about/"
    weight     = 0
    [[menu.navbar]]
    identifier = "privacy"
    name       = "Privacy"
    url        = "/privacy/"
    weight     = 0

    [[menu.navbar]]
    identifier = "contact"
    name       = "Contact"
    url        = "/contact/"
    weight     = 0

#[[menu.sidebar]]
#  name = "Link 1"
#  url = "https://example.com"
#
#[[menu.sidebar]]
#  name = "Link 2"
#  url = "https://example.org"


[markup]
  [markup.highlight]
    codeFences = true
    guessSyntax = false
    hl_Lines = ""
    lineNoStart = 1
    lineNos = false
    lineNumbersInTable = false
    noClasses = false
    tabWidth = 4
  [markup.goldmark.parser]
    autoHeadingID = true
    autoHeadingIDType = 'github'
    [markup.goldmark.parser.attribute]
      block = true
      title = true
  [markup.goldmark.renderer]
    hardWraps = false
    unsafe = true
    xhtml = false

[related]
    threshold = 20 
    includeNewer = true
    toLower = true

    [[related.indices]]
        name = "tags"
        weight = 100

 
